# Uses of Enum
ch.qos.logback.core.rolling.helper.PeriodicityType

Packages that use PeriodicityType
Package
Description
ch.qos.logback.core.rolling.helper
Internal helper classes used by `ch.qos.logback.core.rolling` package.

## Uses of PeriodicityType in ch.qos.logback.core.rolling.helper

Methods in ch.qos.logback.core.rolling.helper that return PeriodicityType
Modifier and Type
Method
Description
`PeriodicityType`
RollingCalendar.`computePeriodicityType()`
`PeriodicityType`
RollingCalendar.`getPeriodicityType()`
`static PeriodicityType`
PeriodicityType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PeriodicityType[]`
PeriodicityType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.